| Verb | URI | Description | |||||
| GET | https://identity.api.rackspacecloud.com/v1.1/ | For a US-based account, retrieve details about a specific Cloud Auth version. | |||||
| GET | https://lon.identity.api.rackspacecloud.com/v1.1/ | For a UK-based account, retrieve details about a specific Cloud Auth version. | |||||
Normal Response Code(s): 200, 203
Error Response Code(s): badRequest (400), authFault (500), serviceUnavailable (503)
You can obtain additional information about a specific version by performing a GET on the base version URL; https://identity.api.rackspacecloud.com/v1.1/ is an example of a base version URL for a US-based account. Version request URLs should always end with a trailing slash (/). If the slash is omitted, the server may respond with a 302 redirection request.
Format extensions may be placed after the base version URL's trailing slash: for example, in https://servers.api.rackspacecloud.com/v1.0/.xml, .xml is a format extension.
This operation does not require a request body.
Example 3.7. API Version Details Response: XML
<?xml version="1.0" encoding="UTF-8"?>
<version xmlns="http://docs.rackspacecloud.com/auth/api/v1.1"
id="v1.1"
status="BETA"
docURL="http://docs.rackspacecloud.com/auth/api/v1.1/auth-client-devguide-latest.pdf"
wadl="http://docs.rackspacecloud.com/auth/api/v1.1/auth.wadl" />
Example 3.8. API Version Details Response: JSON
{
"version" {
"id" : "v1.1",
"status" : "BETA",
"docURL" : "http://docs.rackspacecloud.com/auth/api/v1.1/auth-client-devguide-latest.pdf"
"wadl" : "http://docs.rackspacecloud.com/auth/api/v1.1/auth.wadl"
}
}
The detailed version response contains a pointer to both a human-readable and a machine-processable description of the API service. The machine-processable description is written in the Web Application Description Language (WADL).
![]() | Note |
|---|---|
If a discrepancy exists between the two specifications, the WADL is authoritative as it contains the most accurate and current description of the API service. |

![[Note]](/auth-v1.1-auth-client-devguide/common/images/admon/note.png)
